/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Vista;

import controlador.ConectarSQL;
import java.awt.Toolkit;
import java.beans.Statement;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JLayeredPane;
import javax.swing.JPanel;
import java.sql.*;
import javax.swing.JOptionPane;

/**
 *
 * @author Danny Jaramillo
 */
public class Editar extends javax.swing.JFrame {

    /**
     * Creates new form Ingresar_1
     */
    public Editar() {
        initComponents();
        setLocationRelativeTo(null);
        setIconImage(new ImageIcon(getClass().getResource("/fotos/icono.jpg")).getImage());
        ((JPanel) getContentPane()).setOpaque(false);
        ((JPanel) getContentPane()).setOpaque(false);
        ImageIcon uno = new ImageIcon(this.getClass().getResource("/fotos/u.png"));
        JLabel fondo = new JLabel();
        fondo.setIcon(uno);
        getLayeredPane().add(fondo, JLayeredPane.FRAME_CONTENT_LAYER);
        fondo.setBounds(0, 0, uno.getIconWidth(), uno.getIconHeight());

        setVisible(true);

    }
    ConectarSQL con = new ConectarSQL();
    Connection reg = con.getConnection();

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButton1 = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        txtpacientecedula = new javax.swing.JTextField();
        txtpacientenombre = new javax.swing.JTextField();
        txtpacientedireccion = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        txtidpaciente = new javax.swing.JTextField();
        txtpacientetipodesangre = new javax.swing.JTextField();
        txtpaceinteestadocivil = new javax.swing.JTextField();
        jPanel3 = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        txtdoctorcedula = new javax.swing.JTextField();
        txtdoctortelefono = new javax.swing.JTextField();
        txtxdoctorespcialidad = new javax.swing.JTextField();
        txtdoctordireccion = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        txtdoctorid = new javax.swing.JTextField();
        jPanel5 = new javax.swing.JPanel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        txtxmedicamentenombre = new javax.swing.JTextField();
        txtmedicamentonumerodepastillas = new javax.swing.JTextField();
        txtxmedicamentohoraentredosis = new javax.swing.JTextField();
        txtxmedicamentecaducidad = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        txtxmedicamentoID = new javax.swing.JTextField();
        jPanel6 = new javax.swing.JPanel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        txtreceteID = new javax.swing.JTextField();
        txtrecetafechaemision = new javax.swing.JTextField();
        jLabel25 = new javax.swing.JLabel();
        txtrecetaduracion = new javax.swing.JTextField();
        txtnombreenfermedad = new javax.swing.JTextField();
        jLabel28 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jLabel22 = new javax.swing.JLabel();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jButton4 = new javax.swing.JButton();
        jLabel26 = new javax.swing.JLabel();
        jButton5 = new javax.swing.JButton();
        txtelemento_a_BUSCAR = new javax.swing.JTextField();
        jLabel24 = new javax.swing.JLabel();
        jLabel27 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();

        jButton1.setText("jButton1");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Editar.");

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));
        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder("Paciente."));

        jLabel1.setText("Cedula:");

        jLabel2.setText("Nombre:");

        jLabel3.setText("Tipo de sangre:");

        jLabel4.setText("Estado civil:");

        jLabel5.setText("Dirección:");

        txtpacientecedula.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                txtpacientecedulaKeyTyped(evt);
            }
        });

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fotos/User_24px.png"))); // NOI18N

        jLabel18.setText("N# Historia Clinica:");

        txtidpaciente.setEditable(false);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel2)
                            .addComponent(jLabel5)
                            .addComponent(jLabel4)
                            .addComponent(jLabel3))
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(47, 47, 47)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(txtpaceinteestadocivil, javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(txtpacientetipodesangre, javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(txtpacientenombre)))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 47, Short.MAX_VALUE)
                                .addComponent(txtpacientedireccion, javax.swing.GroupLayout.PREFERRED_SIZE, 130, javax.swing.GroupLayout.PREFERRED_SIZE))))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addComponent(jLabel18))
                        .addGap(28, 28, 28)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(txtidpaciente, javax.swing.GroupLayout.DEFAULT_SIZE, 130, Short.MAX_VALUE)
                            .addComponent(txtpacientecedula))))
                .addGap(72, 72, 72)
                .addComponent(jLabel6)
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel6)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel18)
                        .addGap(18, 18, 18))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(txtidpaciente, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtpacientecedula, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel1, javax.swing.GroupLayout.Alignment.TRAILING))
                .addGap(23, 23, 23)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txtpacientenombre, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel2))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(txtpacientetipodesangre, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(txtpaceinteestadocivil, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txtpacientedireccion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel5))
                .addGap(35, 35, 35))
        );

        jPanel3.setBackground(new java.awt.Color(255, 255, 255));
        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder("Doctor."));
        jPanel3.setForeground(new java.awt.Color(153, 255, 255));

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fotos/icons8_Doctor_Male_24px_1.png"))); // NOI18N

        jLabel8.setText("Cedula:");

        jLabel9.setText("Teléfono:");

        jLabel10.setText("Especialidad:");

        jLabel11.setText("Dirección:");

        txtdoctorcedula.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                txtdoctorcedulaKeyTyped(evt);
            }
        });

        txtdoctortelefono.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                txtdoctortelefonoKeyTyped(evt);
            }
        });

        txtxdoctorespcialidad.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtxdoctorespcialidadActionPerformed(evt);
            }
        });

        jLabel19.setText("Codigo:");

        txtdoctorid.setEditable(false);

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel10)
                    .addComponent(jLabel9)
                    .addComponent(jLabel8)
                    .addComponent(jLabel19)
                    .addComponent(jLabel11))
                .addGap(9, 9, 9)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(txtxdoctorespcialidad, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 124, Short.MAX_VALUE)
                    .addComponent(txtdoctortelefono, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtdoctorcedula, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtdoctorid, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtdoctordireccion))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel7)
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addComponent(jLabel7)
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGap(18, 18, 18)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel19)
                    .addComponent(txtdoctorid, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel8)
                    .addComponent(txtdoctorcedula, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtdoctortelefono, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel9))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txtxdoctorespcialidad, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel10))
                .addGap(18, 18, 18)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel11)
                    .addComponent(txtdoctordireccion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(78, Short.MAX_VALUE))
        );

        jPanel5.setBackground(new java.awt.Color(255, 255, 255));
        jPanel5.setBorder(javax.swing.BorderFactory.createTitledBorder("Medicamento."));

        jLabel12.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fotos/icons8_Pill_24px.png"))); // NOI18N

        jLabel13.setText("Nombre:");

        jLabel14.setText("Numero de Pastillas:");

        jLabel15.setText("Hora entre Dosis:");

        jLabel16.setText("Fecha Caducidad:");

        txtmedicamentonumerodepastillas.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                txtmedicamentonumerodepastillasKeyTyped(evt);
            }
        });

        txtxmedicamentohoraentredosis.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                txtxmedicamentohoraentredosisKeyTyped(evt);
            }
        });

        jLabel17.setText("Serial");

        txtxmedicamentoID.setEditable(false);

        javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel5Layout.createSequentialGroup()
                            .addComponent(jLabel15)
                            .addGap(9, 9, 9))
                        .addGroup(jPanel5Layout.createSequentialGroup()
                            .addComponent(jLabel16)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                    .addGroup(jPanel5Layout.createSequentialGroup()
                        .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel14)
                            .addComponent(jLabel13)
                            .addComponent(jLabel17))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(txtxmedicamentecaducidad, javax.swing.GroupLayout.DEFAULT_SIZE, 123, Short.MAX_VALUE)
                    .addComponent(txtxmedicamentohoraentredosis, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtmedicamentonumerodepastillas, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtxmedicamentenombre, javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtxmedicamentoID, javax.swing.GroupLayout.Alignment.LEADING))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 34, Short.MAX_VALUE)
                .addComponent(jLabel12)
                .addContainerGap())
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addComponent(jLabel12)
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel13)
                    .addComponent(txtxmedicamentenombre, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel14)
                    .addComponent(txtmedicamentonumerodepastillas, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel15)
                    .addComponent(txtxmedicamentohoraentredosis, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel16)
                    .addComponent(txtxmedicamentecaducidad, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel17)
                    .addComponent(txtxmedicamentoID, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel6.setBackground(new java.awt.Color(255, 255, 255));
        jPanel6.setBorder(javax.swing.BorderFactory.createTitledBorder("Receta."));

        jLabel20.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fotos/icons8_Treatment_24px.png"))); // NOI18N

        jLabel21.setText("Modelo:");

        jLabel23.setText("Fecha de emisión: ");

        txtreceteID.setEditable(false);

        jLabel25.setText("Duración Dias:");

        txtnombreenfermedad.setEditable(false);

        jLabel28.setText("Nombre de la enfermedad:");

        javax.swing.GroupLayout jPanel6Layout = new javax.swing.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jLabel20))
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel6Layout.createSequentialGroup()
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addComponent(jLabel23, javax.swing.GroupLayout.Alignment.TRAILING)
                                        .addComponent(jLabel21))
                                    .addComponent(jLabel25))
                                .addGap(58, 58, 58)
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                        .addComponent(txtrecetafechaemision, javax.swing.GroupLayout.DEFAULT_SIZE, 124, Short.MAX_VALUE)
                                        .addComponent(txtrecetaduracion))
                                    .addComponent(txtreceteID, javax.swing.GroupLayout.PREFERRED_SIZE, 123, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(jPanel6Layout.createSequentialGroup()
                                .addComponent(jLabel28)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(txtnombreenfermedad, javax.swing.GroupLayout.PREFERRED_SIZE, 124, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(0, 44, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addComponent(jLabel20)
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addGap(47, 47, 47)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txtreceteID, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel21))
                .addGap(32, 32, 32)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(txtrecetafechaemision, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel23))
                .addGap(30, 30, 30)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel25)
                    .addComponent(txtrecetaduracion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(29, 29, 29)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel28)
                    .addComponent(txtnombreenfermedad, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(64, Short.MAX_VALUE))
        );

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));
        jPanel2.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

        jLabel22.setFont(new java.awt.Font("Yu Gothic UI Semilight", 2, 18)); // NOI18N
        jLabel22.setText("Ejemplo de Ingreso :");

        jButton2.setBackground(new java.awt.Color(102, 255, 255));
        jButton2.setText("BUSCAR");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jButton3.setBackground(new java.awt.Color(102, 255, 255));
        jButton3.setText("GUARDAR");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        jButton4.setBackground(new java.awt.Color(102, 255, 255));
        jButton4.setText("REGRESAR");
        jButton4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton4ActionPerformed(evt);
            }
        });

        jLabel26.setFont(new java.awt.Font("Yu Gothic UI Semilight", 2, 18)); // NOI18N
        jLabel26.setText("Opciones");

        jButton5.setBackground(new java.awt.Color(102, 255, 255));
        jButton5.setText("EJEMPLO");
        jButton5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton5ActionPerformed(evt);
            }
        });

        jLabel24.setFont(new java.awt.Font("Yu Gothic UI Semilight", 2, 18)); // NOI18N
        jLabel24.setText("Buscar");

        jLabel27.setText("Modelo Receta");

        jLabel29.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fotos/Search_24px.png"))); // NOI18N

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap(20, Short.MAX_VALUE)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel22)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGap(26, 26, 26)
                        .addComponent(jButton5)))
                .addGap(21, 21, 21))
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel27)
                    .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(jPanel2Layout.createSequentialGroup()
                            .addGap(44, 44, 44)
                            .addComponent(jLabel24, javax.swing.GroupLayout.PREFERRED_SIZE, 62, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addComponent(jLabel29))
                        .addGroup(jPanel2Layout.createSequentialGroup()
                            .addGap(37, 37, 37)
                            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                .addComponent(txtelemento_a_BUSCAR, javax.swing.GroupLayout.PREFERRED_SIZE, 97, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 95, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(jLabel26, javax.swing.GroupLayout.PREFERRED_SIZE, 95, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(jButton4)
                                .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 95, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addGap(0, 0, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(21, 21, 21)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel29)
                    .addComponent(jLabel24))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jLabel27)
                .addGap(1, 1, 1)
                .addComponent(txtelemento_a_BUSCAR, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jButton2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel26)
                .addGap(27, 27, 27)
                .addComponent(jButton3)
                .addGap(27, 27, 27)
                .addComponent(jButton4)
                .addGap(51, 51, 51)
                .addComponent(jLabel22)
                .addGap(49, 49, 49)
                .addComponent(jButton5)
                .addGap(158, 158, 158))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap(39, Short.MAX_VALUE)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(30, 30, 30)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(24, 24, 24))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(21, 21, 21)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 276, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED, 43, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPanel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(30, 30, 30))
            .addGroup(layout.createSequentialGroup()
                .addGap(95, 95, 95)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, 480, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton5ActionPerformed
        Ejemplo bus1 = new Ejemplo();

        bus1.setVisible(true);

    }//GEN-LAST:event_jButton5ActionPerformed

    private void jButton4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton4ActionPerformed
        Ingresar bus1 = new Ingresar();

        bus1.setVisible(true);
        hide();

        con.desconectado();
    }//GEN-LAST:event_jButton4ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed

        String iddoctor = "";
        String idpaciente = "";
        String ttxt = txtelemento_a_BUSCAR.getText();

        try {

            //PACIENTE_RECETA
            String receta = "SELECT * FROM  paciente_receta";
            PreparedStatement res = (PreparedStatement) reg.prepareStatement(receta);
            ResultSet r = res.executeQuery();

            String idrecetea = "";
            while (r.next()) {

                if (r.getString(2).equalsIgnoreCase(ttxt)) {

                    txtnombreenfermedad.setText(r.getString(3));
                    idrecetea = r.getString(2);
                    idpaciente = r.getString(1);

                    System.out.println(" id paciente :" + idpaciente);
                    System.out.println(" Ireceta : " + idrecetea);
                }
            }

            //////////////////////////////////////////////////////////////////////////////////////////////
            String sql = "SELECT * FROM paciente ";
            //PACIENTE
            PreparedStatement as = (PreparedStatement) reg.prepareStatement(sql);
            ResultSet rs = as.executeQuery();

            while (rs.next()) {

                if (rs.getString(1).equalsIgnoreCase(idpaciente)) {

                    txtidpaciente.setText(rs.getString(1));
                    idpaciente = rs.getString(1);
                    txtpacientetipodesangre.setText(rs.getString(2));
                    txtpacientenombre.setText(rs.getString(3));
                    txtpacientecedula.setText(rs.getString(4));
                    txtdoctorid.setText(rs.getString(5));//
                    iddoctor = rs.getString(5);
                    txtpaceinteestadocivil.setText(rs.getString(6));
                    txtpacientedireccion.setText(rs.getString(7));
                }
            }

            //DOCTOR
            String sqldoctor = "SELECT * FROM doctor ";
            PreparedStatement doctor = (PreparedStatement) reg.prepareStatement(sqldoctor);
            ResultSet doc = doctor.executeQuery();
            System.out.println(" " + iddoctor);
            while (doc.next()) {

                if (doc.getString(1).equalsIgnoreCase(iddoctor)) {
                    txtdoctorcedula.setText(doc.getString(2));
                    txtxdoctorespcialidad.setText(doc.getString(3));
                    txtdoctordireccion.setText(doc.getString(4));
                    txtdoctortelefono.setText(doc.getString(5));

                }
            }

            //RECETA
            String tutu = "SELECT * FROM  receta ";
            PreparedStatement tu = (PreparedStatement) reg.prepareStatement(tutu);
            ResultSet t = tu.executeQuery();

            while (t.next()) {

                if (t.getString(1).equalsIgnoreCase(idrecetea)) {

                    txtreceteID.setText(t.getString(1));
                    txtrecetafechaemision.setText(t.getString(2));
                    txtrecetaduracion.setText(t.getString(3));

                }
            }

            //MEDICAMENTO
            String medicam = "SELECT * FROM  medicamento ";
            PreparedStatement med = (PreparedStatement) reg.prepareStatement(medicam);
            ResultSet d = med.executeQuery();

            while (d.next()) {

                if (d.getString(3).equalsIgnoreCase(idrecetea)) {

                    txtxmedicamentoID.setText(d.getString(1));
                    txtxmedicamentenombre.setText(d.getString(2));
                    txtxmedicamentecaducidad.setText(d.getString(4));
                    txtmedicamentonumerodepastillas.setText(d.getString(5));
                    txtxmedicamentohoraentredosis.setText(d.getString(6));

                }
            }

        } catch (SQLException ex) {
            Logger.getLogger(Ingresar_1.class.getName()).log(Level.SEVERE, null, ex);
        }


    }//GEN-LAST:event_jButton2ActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        //UPDATE PACIENTE
        String paciente = txtidpaciente.getText();
        Connection reg2 = con.getConnection();

        // String sq = "UPDATE paciente SET Id_Paciente='" + txtidpaciente.getText() + "',Tipo_de_Sangre='" + txtpacientetipodesangre.getText() + "',Nombre='" + txtpacientenombre.getText() + "',Cedula ='" + txtpacientecedula.getText() + "',Id_Doctor='" + txtdoctorid.getText() + "'Estado_civil='" + txtpaceinteestadocivil.getText() + "',Direccion='" + txtpacientedireccion.getText() + "' WHERE Id_Paciente='" + paciente + "'";
        String sq = "UPDATE paciente SET Id_Paciente=?,"
                + "Tipo_de_Sangre=?,"
                + "Nombre=?,"
                + "Cedula =?,"
                + "Id_Doctor=?,"
                + "Estado_civil=?,"
                + "Direccion=?"
                + "WHERE paciente.Id_Paciente =" + paciente;
        try {
            PreparedStatement as = (PreparedStatement) reg2.prepareStatement(sq);
            as.setString(1, txtidpaciente.getText());
            as.setString(2, txtpacientetipodesangre.getText());
            as.setString(3, txtpacientenombre.getText());
            as.setString(4, txtpacientecedula.getText());
            as.setString(5, txtdoctorid.getText());
            as.setString(6, txtpaceinteestadocivil.getText());
            as.setString(7, txtpacientedireccion.getText());

            as.executeUpdate();

            //UPDATE doctor
            String doctorid = txtdoctorid.getText();

            String doc = "UPDATE doctor SET Id_doctor=?,"
                    + "Cedula=?,"
                    + "Especialidad=?,"
                    + "Direccion =?,"
                    + "Telefono=?"
                    + "WHERE doctor.Id_doctor =" + doctorid;
            PreparedStatement doct = (PreparedStatement) reg.prepareStatement(doc);
            doct.setString(1, txtdoctorid.getText());
            doct.setString(2, txtdoctorcedula.getText());
            doct.setString(3, txtxdoctorespcialidad.getText());
            doct.setString(4, txtdoctordireccion.getText());
            doct.setString(5, txtdoctortelefono.getText());
            doct.executeUpdate();

            //paciente_reseta para extraer llaves
            String receta = "SELECT * FROM  paciente_receta";
            PreparedStatement res = (PreparedStatement) reg.prepareStatement(receta);
            ResultSet r = res.executeQuery();

            String idrecetea = "";
            while (r.next()) {

                if (r.getString(1).equalsIgnoreCase(paciente)) {

                    txtnombreenfermedad.setText(r.getString(3));
                    idrecetea = r.getString(2);

                }
            }

            //reseta
            String reseta = "UPDATE receta SET Id_Receta=?,"
                    + " Fecha_Emision=?,"
                    + "	Duracion_Tratamiento=?"
                    + "WHERE receta.Id_Receta =" + idrecetea;
            PreparedStatement jo = (PreparedStatement) reg.prepareStatement(reseta);
            jo.setString(1, txtreceteID.getText());
            jo.setString(2, txtrecetafechaemision.getText());
            jo.setString(3, txtrecetaduracion.getText());

            jo.executeUpdate();

            //medicamento
            String medicamento = "UPDATE medicamento SET ID_Medicamento=?,"
                    + " Nombre=?,"
                    + "	Id_Receta=?,"
                    + "Fecha_de_caducidad=?,"
                    + " Cantidad_de_Dosis=?,"
                    + "	Hora_entre_dosis=?"
                    + "WHERE medicamento.Id_Receta=" + idrecetea;
            PreparedStatement med = (PreparedStatement) reg.prepareStatement(medicamento);
            med.setString(1, txtxmedicamentoID.getText());
            med.setString(2, txtxmedicamentenombre.getText());
            med.setString(3, idrecetea);
            med.setString(4, txtxmedicamentecaducidad.getText());
            med.setString(5, txtmedicamentonumerodepastillas.getText());
            med.setString(6, txtxmedicamentohoraentredosis.getText());

            med.executeUpdate();

            JOptionPane.showMessageDialog(rootPane, "Datos Actualizados", "Aviso", JOptionPane.INFORMATION_MESSAGE);
        } catch (SQLException ex) {
            Logger.getLogger(Editar.class.getName()).log(Level.SEVERE, null, ex);
        }

        //PACIENTE
        //RECETEAR CAJAS DE TEXTO
        txtidpaciente.setText(" ");
        txtpacientecedula.setText(" ");
        txtpacientedireccion.setText(" ");
        txtpacientenombre.setText(" ");

        txtdoctorcedula.setText(" ");
        txtdoctordireccion.setText(" ");
        txtdoctorid.setText(" ");
        txtdoctortelefono.setText("");
        txtxdoctorespcialidad.setText("");

        txtrecetaduracion.setText("");
        txtrecetafechaemision.setText("");
        txtreceteID.setText("");

        txtmedicamentonumerodepastillas.setText("");
        txtxmedicamentenombre.setText("");
        txtxmedicamentohoraentredosis.setText("");
        txtxmedicamentecaducidad.setText("");
        txtxmedicamentoID.setText("");
        txtpacientetipodesangre.setText("");
        txtpaceinteestadocivil.setText("");
        txtnombreenfermedad.setText("");
    }//GEN-LAST:event_jButton3ActionPerformed

    private void txtxdoctorespcialidadActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtxdoctorespcialidadActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtxdoctorespcialidadActionPerformed

    private void txtpacientecedulaKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtpacientecedulaKeyTyped
        char car = evt.getKeyChar();
        if (txtpacientecedula.getText().length() >= 10) {
            evt.consume();
        }
        if ((car < '0' || car > '9')) {
            evt.consume();
        }

        if (txtpacientecedula.getText().length() >= 10) {
            evt.consume();

            // sonido 
            // Alertamos al usuario que solo puede ingresar asta 8 caracteres
            Toolkit.getDefaultToolkit().beep();
        }

    }//GEN-LAST:event_txtpacientecedulaKeyTyped

    private void txtdoctorcedulaKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtdoctorcedulaKeyTyped
        char car = evt.getKeyChar();
        if (txtdoctorcedula.getText().length() >= 10) {
            evt.consume();
        }
        if ((car < '0' || car > '9')) {
            evt.consume();
        }
    }//GEN-LAST:event_txtdoctorcedulaKeyTyped

    private void txtdoctortelefonoKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtdoctortelefonoKeyTyped
        char car = evt.getKeyChar();
        if (txtdoctortelefono.getText().length() >= 10) {
            evt.consume();
        }
        if ((car < '0' || car > '9')) {
            evt.consume();
        }

        if (txtdoctortelefono.getText().length() >= 10) {
            evt.consume();

            // sonido 
            // Alertamos al usuario que solo puede ingresar asta 8 caracteres
            Toolkit.getDefaultToolkit().beep();
        }
    }//GEN-LAST:event_txtdoctortelefonoKeyTyped

    private void txtmedicamentonumerodepastillasKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtmedicamentonumerodepastillasKeyTyped
        char car = evt.getKeyChar();
        if (txtmedicamentonumerodepastillas.getText().length() >= 10) {
            evt.consume();
        }
        if ((car < '0' || car > '9')) {
            evt.consume();
        }
    }//GEN-LAST:event_txtmedicamentonumerodepastillasKeyTyped

    private void txtxmedicamentohoraentredosisKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtxmedicamentohoraentredosisKeyTyped
        char car = evt.getKeyChar();
        if (txtidpaciente.getText().length() >= 10) {
            evt.consume();
        }
        if ((car < '0' || car > '9')) {
            evt.consume();
        }

        if (txtpacientecedula.getText().length() >= 10) {
            evt.consume();

            // sonido 
            // Alertamos al usuario que solo puede ingresar asta 8 caracteres
            Toolkit.getDefaultToolkit().beep();
        }
    }//GEN-LAST:event_txtxmedicamentohoraentredosisKeyTyped

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Editar.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Editar.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Editar.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Editar.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Editar().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JTextField txtdoctorcedula;
    private javax.swing.JTextField txtdoctordireccion;
    private javax.swing.JTextField txtdoctorid;
    private javax.swing.JTextField txtdoctortelefono;
    private javax.swing.JTextField txtelemento_a_BUSCAR;
    private javax.swing.JTextField txtidpaciente;
    private javax.swing.JTextField txtmedicamentonumerodepastillas;
    private javax.swing.JTextField txtnombreenfermedad;
    private javax.swing.JTextField txtpaceinteestadocivil;
    private javax.swing.JTextField txtpacientecedula;
    private javax.swing.JTextField txtpacientedireccion;
    private javax.swing.JTextField txtpacientenombre;
    private javax.swing.JTextField txtpacientetipodesangre;
    private javax.swing.JTextField txtrecetaduracion;
    private javax.swing.JTextField txtrecetafechaemision;
    private javax.swing.JTextField txtreceteID;
    private javax.swing.JTextField txtxdoctorespcialidad;
    private javax.swing.JTextField txtxmedicamentecaducidad;
    private javax.swing.JTextField txtxmedicamentenombre;
    private javax.swing.JTextField txtxmedicamentoID;
    private javax.swing.JTextField txtxmedicamentohoraentredosis;
    // End of variables declaration//GEN-END:variables
}
